### Hierarchy

- UIEvent
  - KeyboardEvent

## Index

### Properties

- AT_TARGET
- BUBBLING_PHASE
- CAPTURING_PHASE
- DOM_KEY_LOCATION_JOYSTICK
- DOM_KEY_LOCATION_LEFT
- DOM_KEY_LOCATION_MOBILE
- DOM_KEY_LOCATION_NUMPAD
- DOM_KEY_LOCATION_RIGHT
- DOM_KEY_LOCATION_STANDARD
- NONE
- UIEvent
- altKey
- bubbles
- cancelBubble
- cancelable
- char
- charCode
- code
- composed
- ctrlKey
- currentTarget
- defaultPrevented
- detail
- eventPhase
- isTrusted
- key
- keyCode
- location
- metaKey
- repeat
- returnValue
- shiftKey
- srcElement
- target
- timeStamp
- type
- view
- which

### Methods

- composedPath
- getModifierState
- initEvent
- initKeyboardEvent
- initUIEvent
- preventDefault
- stopImmediatePropagation
- stopPropagation

## Properties

### AT_TARGET

AT_TARGET: number

Inherited from Event.AT_TARGET

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5017

### BUBBLING_PHASE

BUBBLING_PHASE: number

Inherited from Event.BUBBLING_PHASE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5018

### CAPTURING_PHASE

CAPTURING_PHASE: number

Inherited from Event.CAPTURING_PHASE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5019

### DOM_KEY_LOCATION_JOYSTICK

DOM_KEY_LOCATION_JOYSTICK: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9321

### DOM_KEY_LOCATION_LEFT

DOM_KEY_LOCATION_LEFT: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9322

### DOM_KEY_LOCATION_MOBILE

DOM_KEY_LOCATION_MOBILE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9323

### DOM_KEY_LOCATION_NUMPAD

DOM_KEY_LOCATION_NUMPAD: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9324

### DOM_KEY_LOCATION_RIGHT

DOM_KEY_LOCATION_RIGHT: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9325

### DOM_KEY_LOCATION_STANDARD

DOM_KEY_LOCATION_STANDARD: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9326

### NONE

NONE: number

Inherited from Event.NONE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5020

### UIEvent

UIEvent: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15060

#### Type declaration

- ##### constructor: function

  - new __type(typeArg: string, eventInitDict?: UIEventInit): UIEvent
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15061

    #### Parameters

    - ##### typeArg: string

    - ##### Optional eventInitDict: UIEventInit

    #### Returns UIEvent

- ##### prototype: UIEvent

### altKey

altKey: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9302

### bubbles

bubbles: boolean

Inherited from Event.bubbles

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4967

Returns true or false depending on how event was initialized. True if event goes through its target's ancestors in reverse tree order, and false otherwise.

### cancelBubble

cancelBubble: boolean

Inherited from Event.cancelBubble

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4968

### cancelable

cancelable: boolean

Inherited from Event.cancelable

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4969

### char

char: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9304

deprecated

### charCode

charCode: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9306

deprecated

### code

code: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9307

### composed

composed: boolean

Inherited from Event.composed

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4973

Returns true or false depending on how event was initialized. True if event invokes listeners past a ShadowRoot node that is the root of its target, and false otherwise.

### ctrlKey

ctrlKey: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9308

### currentTarget

currentTarget: EventTarget | null

Inherited from Event.currentTarget

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4978

Returns the object whose event listener's callback is currently being invoked.

### defaultPrevented

defaultPrevented: boolean

Inherited from Event.defaultPrevented

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4979

### detail

detail: number

Inherited from UIEvent.detail

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15055

### eventPhase

eventPhase: number

Inherited from Event.eventPhase

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4980

### isTrusted

isTrusted: boolean

Inherited from Event.isTrusted

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4985

Returns true if event was dispatched by the user agent, and false otherwise.

### key

key: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9309

### keyCode

keyCode: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9311

deprecated

### location

location: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9312

### metaKey

metaKey: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9313

### repeat

repeat: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9314

### returnValue

returnValue: boolean

Inherited from Event.returnValue

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4986

### shiftKey

shiftKey: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9315

### srcElement

srcElement: Element | null

Inherited from Event.srcElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4988

deprecated

### target

target: EventTarget | null

Inherited from Event.target

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4992

Returns the object to which event is dispatched (its target).

### timeStamp

timeStamp: number

Inherited from Event.timeStamp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4997

Returns the event's timestamp as the number of milliseconds measured relative to the time origin.

### type

type: string

Inherited from Event.type

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5003

Returns the type of event, e.g. "click", "hashchange", or "submit".

### view

view: Window

Inherited from UIEvent.view

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15056

### which

which: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9317

deprecated

## Methods

### composedPath

- composedPath(): EventTarget[]

- Inherited from Event.composedPath

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5004

  #### Returns EventTarget[]

### getModifierState

- getModifierState(keyArg: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9318

  #### Parameters

  - ##### keyArg: string

  #### Returns boolean

### initEvent

- initEvent(type: string, bubbles?: undefined | false | true, cancelable?: undefined | false | true): void

- Inherited from Event.initEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5005

  #### Parameters

  - ##### type: string

  - ##### Optional bubbles: undefined | false | true

  - ##### Optional cancelable: undefined | false | true

  #### Returns void

### initKeyboardEvent

- initKeyboardEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, keyArg: string, locationArg: number, modifiersListArg: string, repeat: boolean, locale: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9320
  deprecated

  #### Parameters

  - ##### typeArg: string

  - ##### canBubbleArg: boolean

  - ##### cancelableArg: boolean

  - ##### viewArg: Window

  - ##### keyArg: string

  - ##### locationArg: number

  - ##### modifiersListArg: string

  - ##### repeat: boolean

  - ##### locale: string

  #### Returns void

### initUIEvent

- initUIEvent(typeArg: string, canBubbleArg: boolean, cancelableArg: boolean, viewArg: Window, detailArg: number): void

- Inherited from UIEvent.initUIEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15057

  #### Parameters

  - ##### typeArg: string

  - ##### canBubbleArg: boolean

  - ##### cancelableArg: boolean

  - ##### viewArg: Window

  - ##### detailArg: number

  #### Returns void

### preventDefault

- preventDefault(): void

- Inherited from Event.preventDefault

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5006

  #### Returns void

### stopImmediatePropagation

- stopImmediatePropagation(): void

- Inherited from Event.stopImmediatePropagation

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5012

  Invoking this method prevents event from reaching any registered event listeners after the current one finishes running and, when dispatched in a tree, also prevents event from reaching any other objects.

  #### Returns void

### stopPropagation

- stopPropagation(): void

- Inherited from Event.stopPropagation

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5016

  When dispatched in a tree, invoking this method prevents event from reaching any objects other than the current object.

  #### Returns void

Generated using TypeDoc